Package org.apache.lucene.spatial.prefix

## Class PrefixTreeStrategy.ShapeTokenStream

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.spatial.prefix.BytesRefIteratorTokenStream
      - - org.apache.lucene.spatial.prefix.PrefixTreeStrategy.ShapeTokenStream

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`
  Enclosing class:
    PrefixTreeStrategy

      public class PrefixTreeStrategy.ShapeTokenStream
      extends BytesRefIteratorTokenStream

  Tokenstream for indexing cells of a shape

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenStream

      `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ShapeTokenStream()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setShape​(org.locationtech.spatial4j.shape.Shape shape)` |

    - ### Methods inherited from class org.apache.lucene.spatial.prefix.BytesRefIteratorTokenStream

      `getBytesRefIterator, incrementToken, reset, setBytesRefIterator`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenStream

      `close, end`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ShapeTokenStream

          public ShapeTokenStream()

  - ### Method Detail

    - #### setShape

          public void setShape​(org.locationtech.spatial4j.shape.Shape shape)